/*
 * Copyright (c) 2022 DuckDuckGo
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.duckduckgo.fingerprintprotection.store

import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "fingerprinting_battery")
data class FingerprintingBatteryEntity(
    @PrimaryKey val id: Int = 1,
    val json: String,
)

@Entity(tableName = "fingerprinting_canvas")
data class FingerprintingCanvasEntity(
    @PrimaryKey val id: Int = 1,
    val json: String,
)

@Entity(tableName = "fingerprinting_hardware")
data class FingerprintingHardwareEntity(
    @PrimaryKey val id: Int = 1,
    val json: String,
)

@Entity(tableName = "fingerprinting_screen_size")
data class FingerprintingScreenSizeEntity(
    @PrimaryKey val id: Int = 1,
    val json: String,
)

@Entity(tableName = "fingerprinting_temporary_storage")
data class FingerprintingTemporaryStorageEntity(
    @PrimaryKey val id: Int = 1,
    val json: String,
)

@Entity(tableName = "fingerprint_protection_seed")
data class FingerprintProtectionSeedEntity(
    @PrimaryKey val id: Int = 1,
    val seed: String,
)
