/*
 * Copyright (c) 2022 DuckDuckGo
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.duckduckgo.fingerprintprotection.store.seed

import org.junit.Assert.assertFalse
import org.junit.Assert.assertNotEquals
import org.junit.Before
import org.junit.Test

class RealFingerprintProtectionSeedRepositoryTest {
    private lateinit var testee: RealFingerprintProtectionSeedRepository

    @Before
    fun before() {
        testee = RealFingerprintProtectionSeedRepository()
    }

    @Test
    fun whenInitializedRandomSeedIsSet() {
        assertFalse(testee.seed.isBlank())
    }

    @Test
    fun whenStoredNewSeedThenSeedIsRefreshed() {
        val oldSeed = testee.seed
        testee.storeNewSeed()
        assertNotEquals(oldSeed, testee.seed)
    }
}
